# Generated by Django 4.2.10 on 2024-02-21 21:19

import django.db.models.deletion
from django.conf import settings
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("documents", "1045_alter_customfieldinstance_value_monetary"),
    ]

    operations = [
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_correspondents",
            field=models.BooleanField(
                default=False,
                verbose_name="remove all correspondents",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_custom_fields",
            field=models.BooleanField(
                default=False,
                verbose_name="remove all custom fields",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_document_types",
            field=models.BooleanField(
                default=False,
                verbose_name="remove all document types",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_owners",
            field=models.BooleanField(default=False, verbose_name="remove all owners"),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_permissions",
            field=models.BooleanField(
                default=False,
                verbose_name="remove all permissions",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_storage_paths",
            field=models.BooleanField(
                default=False,
                verbose_name="remove all storage paths",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_all_tags",
            field=models.BooleanField(default=False, verbose_name="remove all tags"),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_change_groups",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="auth.group",
                verbose_name="remove change permissions for these groups",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_change_users",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
                verbose_name="remove change permissions for these users",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_correspondents",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.correspondent",
                verbose_name="remove these correspondent(s)",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_custom_fields",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.customfield",
                verbose_name="remove these custom fields",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_document_types",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.documenttype",
                verbose_name="remove these document type(s)",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_owners",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
                verbose_name="remove these owner(s)",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_storage_paths",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.storagepath",
                verbose_name="remove these storage path(s)",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_tags",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.tag",
                verbose_name="remove these tag(s)",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_view_groups",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="auth.group",
                verbose_name="remove view permissions for these groups",
            ),
        ),
        migrations.AddField(
            model_name="workflowaction",
            name="remove_view_users",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
                verbose_name="remove view permissions for these users",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="assign_correspondent",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="documents.correspondent",
                verbose_name="assign this correspondent",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="assign_document_type",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="documents.documenttype",
                verbose_name="assign this document type",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="assign_storage_path",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="documents.storagepath",
                verbose_name="assign this storage path",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="assign_tags",
            field=models.ManyToManyField(
                blank=True,
                related_name="+",
                to="documents.tag",
                verbose_name="assign this tag",
            ),
        ),
        migrations.AlterField(
            model_name="workflowaction",
            name="type",
            field=models.PositiveIntegerField(
                choices=[(1, "Assignment"), (2, "Removal")],
                default=1,
                verbose_name="Workflow Action Type",
            ),
        ),
    ]
